%define _disable_ld_no_undefined 1
%define oldname compiz-fusion-plugins-extra

Summary: Compiz Main Plugin Set for compiz
Name: compiz-plugins-extra
Version: 0.9.7.0
Release: 1
Source0: http://releases.compiz.org/%{version}/%{name}-%{version}.tar.bz2
Patch1:  0001-Treat-screenlets-windows-as-widgets.patch
License: GPL
Group: System/X11
URL: http://www.compiz.org/

BuildRequires: cmake
BuildRequires: xsltproc
BuildRequires: intltool
BuildRequires: boost-devel
BuildRequires: compiz-devel >= %{version} compiz
BuildRequires: compiz-plugins-main-devel >= %{version}
BuildRequires: mesaglu-devel
BuildRequires: pkgconfig(gconf-2.0)
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(libnotify)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(pangocairo)
Requires: compiz
%rename %{oldname}

%description
This is the main plugin set from the Compiz community. This is a 
combination of the Compiz Extras and Beryl communities

Contains: 3d addhelper animationaddon bench bicubic crashhandler cubeaddon
extrawm fadedesktop firepaint gears group loginout maximumize mblur reflex
scalefilter shelf showdesktop showmouse splash trailfocus widget.

#----------------------------------------------------------------------------

%package devel
Summary: Development files for Compiz Extra Plugin Set for compiz
Group: Development/X11
Requires: %{name} = %{version}-%{release}
%rename %{oldname}-devel

%description devel
Development files for Compiz Extra Plugin Set for compiz

#----------------------------------------------------------------------------

%prep
%setup -q
%patch1 -p1

%build
%cmake \
	-DCOMPIZ_INSTALL_GCONF_SCHEMA_DIR=%{_sysconfdir}/gconf/schemas \
	-DCOMPIZ_DISABLE_SCHEMAS_INSTALL=TRUE \
	-DCOMPIZ_PACKAGING_ENABLED=TRUE

%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build
find %{buildroot} -name *.la -exec rm -f {} \;


%files
%{_sysconfdir}/gconf/schemas
%{_libdir}/compiz/*.so
%{_datadir}/compiz/*

%files devel
%{_includedir}/compiz/animationaddon
%{_libdir}/pkgconfig/*.pc



%changelog
* Fri May 18 2012 Crispin Boylan <crisb@mandriva.org> 0.9.7.0-1
+ Revision: 799492
- New release

* Mon Nov 07 2011 Matthew Dawkins <mattydaw@mandriva.org> 0.9.5.92-1
+ Revision: 727496
- added gconf schemas to files list
- fix build
  removed clean section
- added missing requires for main pkg for devel pkg
- new version 0.9.5.92
  adjusted spec for cmake
  rediffed p1
  dropped p0 upstreamed and changed in cpp
  dropped p2, never used and now not even a plugin
- pkg has a new name

* Tue Apr 12 2011 Funda Wang <fwang@mandriva.org> 0.8.6-3
+ Revision: 652761
- build with libnotify 0.7
- rebuild

* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.6-2mdv2011.0
+ Revision: 603846
- rebuild

* Sun May 02 2010 Colin Guthrie <cguthrie@mandriva.org> 0.8.6-1mdv2010.1
+ Revision: 541655
- New version: 0.8.6

* Sat Mar 13 2010 Colin Guthrie <cguthrie@mandriva.org> 0.8.4-2mdv2010.1
+ Revision: 518616
- Rebuild for new Compiz

* Thu Oct 15 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.4-1mdv2010.0
+ Revision: 457734
- New version: 0.8.4
- Harden buildrequires versions

* Wed Sep 09 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.2-3mdv2010.0
+ Revision: 434889
- Rebuild against updated compiz

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.8.2-2mdv2010.0
+ Revision: 413263
- rebuild

* Sun Mar 15 2009 Emmanuel Andry <eandry@mandriva.org> 0.8.2-1mdv2009.1
+ Revision: 355372
- New version 0.8.2
- keep the old name for the moment, needs a package renaming

* Sun Feb 08 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.0-0.20090208.1mdv2009.1
+ Revision: 338488
- 0.8 pre-release snapshot

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.7.8-1mdv2009.1
+ Revision: 319175
- rediff and rename widget-screenlets-match.patch
- 0.7.8 final

* Fri Sep 12 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.8-0.20080912.1mdv2009.0
+ Revision: 284302
- New snapshot
- Add -devel subpackage for new upstream files

* Sun Jul 13 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.7-0.20080713.1mdv2009.0
+ Revision: 234354
- New snapshot
- New version: 0.7.6

* Fri May 23 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.5-0.20080522.1mdv2009.0
+ Revision: 210162
- Update to git snapshot
- Disable the cubereflex patch (need to investigate what happened to it :)

* Tue Apr 08 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.4-1mdv2009.0
+ Revision: 192373
- New version 0.7.4

* Fri Mar 07 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.2-1mdv2008.1
+ Revision: 181124
- New version 0.7.2

* Wed Mar 05 2008 Colin Guthrie <cguthrie@mandriva.org> 0.6.99-0.20080218.2mdv2008.1
+ Revision: 179390
- Add BR on libnotify-devel for the notification plugin

* Mon Feb 18 2008 Colin Guthrie <cguthrie@mandriva.org> 0.6.99-0.20080218.1mdv2008.1
+ Revision: 172301
- Update to git master for new compiz

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 20 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 100720
- New upstream release: 0.6.0

* Fri Oct 19 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-0.20071018.1mdv2008.1
+ Revision: 100100
- Update snapshot from 0.6.0 branch for compiz 0.6.2

* Mon Sep 17 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-4mdv2008.0
+ Revision: 88950
- Make reflections colours fit in better with default Mandriva theme.

* Sun Sep 16 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-3mdv2008.0
+ Revision: 88521
- Add window match for widget plugin for Screenlets

* Tue Sep 04 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-2mdv2008.0
+ Revision: 79533
- Rebuild for latest compiz (patch removal caused ABI change)

* Mon Aug 13 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-1mdv2008.0
+ Revision: 62615
- Official Release: 0.5.2

* Sun Aug 12 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070811.1mdv2008.0
+ Revision: 62122
- Update snapshot

* Wed Aug 01 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070801.1mdv2008.0
+ Revision: 57839
- Updated snapshot

* Wed Jul 25 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070724.1mdv2008.0
+ Revision: 55253
- Update Snapshot

* Sat Jul 14 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070714.2mdv2008.0
+ Revision: 52142
- Update snapshot

* Sun Jul 08 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070707.1mdv2008.0
+ Revision: 49610
- Require compiz
- Update Snapshot to 20070707
- Import compiz-fusion-extra

